PUT /api/v3/accountmeter/{accountMeterId}

Edit an account meter relationship

EditAccountMeterV3 Permissions: Accounts (Edit)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Path Parameters

Name Description Type Required
accountMeterId The id of the account meter record to edit integer (int32) Required

Query Parameters

Name Description Type Required
deleteBills A true value means delete all bills that have at least 1 line for this account and meter and a bill start date greater than or equal to the new account and meter relationship end date. WARNING: Bills for this account may include other meters. The ENTIRE bill is deleted. This flag can only be true when: Editing the most recent relationship between this account and meter The end date has been changed but not the begin date boolean Optional

Request Body

AccountMeterEdit
Property Description Type
beginDate The beginning date and time for this account meter relationship Must be between 1899-12-31 and 3000-01-01 Required (defined) string (date-time)
endDate The ending date and time for this account meter relationship Must be greater than BeginDate Must be between 1899-12-31 and 3000-01-01 Required (defined) string (date-time)
generalLedgerId The identifier for the general ledger assigned to this account meter Required (defined) integer (int32)
vendorTypeId The identifier for the vendor type. Vendors may assume different types on different account meters Required (defined) integer (int32)
Example Request Body application/json
{  "beginDate": "2026-03-30",  "endDate": "2026-03-30",  "generalLedgerId": 1,  "vendorTypeId": 1
}

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

AccountMeterResponse
Property Description Type
account AccountChild
AccountChild properties
Property Description Type
accountCode string
accountId integer (int32)
accountInfo string
active boolean
hasCalculatedMeter boolean
hasSplitChildMeter boolean
hasSplitParentMeter boolean
hasSubAccount boolean
isSubAccount boolean
vendor VendorChild
VendorChild properties
Property Description Type
vendorCode The vendor code string
vendorId The vendor identifier integer (int32)
vendorInfo The vendor info string
accountMeterId The account meter identifier Required (defined) integer (int32)
beginDate The beginning date and time for this account meter relationship Required (defined) string (date-time)
deregulated Indicates if the account meter is deregulated Required (defined) boolean
endDate The ending date and time for this account meter relationship Required (defined) string (date-time)
formTemplates The template assigned to this account meter Required (defined) FormTemplateChild[]
FormTemplateChild properties
Property Description Type
beginDate string (date-time)
displayOrder integer (int32)
endDate string (date-time)
formTemplateId integer (int32)
template TemplateChild
TemplateChild properties
Property Description Type
templateCode string
templateId integer (int32)
templateInfo string
generalLedger GeneralLedgerChild
GeneralLedgerChild properties
Property Description Type
generalLedgerCode string
generalLedgerId integer (int32)
generalLedgerInfo string
meter MeterChild
MeterChild properties
Property Description Type
active Indicates whether the Meter is Active boolean
commodity CommodityChild
CommodityChild properties
Property Description Type
commodityCode The commodity code Required (defined) string
commodityIcon Icon
Icon properties
Property Description Type
code The icon code Must be between 0 and 64 characters Required when Color is set string
color The icon color Must be between 0 and 32 characters Required when Code is set string
commodityId The commodity identifier Required (defined) integer (int32)
commodityInfo The commodity info Required (defined) string
isCalculatedMeter Indicates whether the meter is a calculated meter boolean
isEsaCalculatedMeter Indicates whether the meter is an ESA calculated meter boolean
isSplitChildMeter Indicates whether the meter is a child of a split boolean
isSplitParentMeter Indicates whether the meter is a parent of a split boolean
meterCode The meter code string
meterId The meter identifier integer (int32)
meterInfo The meter info string
meterType MeterTypeChild
MeterTypeChild properties
Property Description Type
meterTypeCode string
meterTypeId integer (int32)
meterTypeInfo string
serialNumber The meter’s current serial number string
rates The rate assigned to this account meter Required (defined) AccountRateChild[]
AccountRateChild properties
Property Description Type
endDate string (date-time)
rate RateChild
RateChild properties
Property Description Type
name string
rateId integer (int32)
startDate string (date-time)
vendorType VendorTypeChild
VendorTypeChild properties
Property Description Type
vendorTypeCode The vendor type code string
vendorTypeId The vendor type identifier integer (int32)
Example Response application/json
{  "account": {    "accountCode": "string",    "accountId": 1,    "accountInfo": "string",    "active": false,    "hasCalculatedMeter": false,    "hasSplitChildMeter": false,    "hasSplitParentMeter": false,    "hasSubAccount": false,    "isSubAccount": false,    "vendor": {      "vendorCode": "string",      "vendorId": 1,      "vendorInfo": "string"
    }
  },  "accountMeterId": 1,  "beginDate": "2026-03-30",  "deregulated": false,  "endDate": "2026-03-30",  "formTemplates": [
    {    "beginDate": "2026-03-30",    "displayOrder": 1,    "endDate": "2026-03-30",    "formTemplateId": 1,    "template": {      "templateCode": "string",      "templateId": 1,      "templateInfo": "string"
    }
  }
  ],  "generalLedger": {    "generalLedgerCode": "string",    "generalLedgerId": 1,    "generalLedgerInfo": "string"
  },  "meter": {    "active": false,    "commodity": {      "commodityCode": "string",      "commodityIcon": {},      "commodityId": 1,      "commodityInfo": "string"
    },    "isCalculatedMeter": false,    "isEsaCalculatedMeter": false,    "isSplitChildMeter": false,    "isSplitParentMeter": false,    "meterCode": "string",    "meterId": 1,    "meterInfo": "string",    "meterType": {      "meterTypeCode": "string",      "meterTypeId": 1,      "meterTypeInfo": "string"
    },    "serialNumber": "string"
  },  "rates": [
    {    "endDate": "2026-03-30",    "rate": {      "name": "string",      "rateId": 1
    },    "startDate": "2026-03-30"
  }
  ],  "vendorType": {    "vendorTypeCode": "string",    "vendorTypeId": 1
  }
}